<?php
class eventclass_tb_despesas  extends TableEventsBase {
	
	function init() {
		$this->events = array(
	 
);
		$this->fieldValues = array(
	'filterLimit' => array(
		 
	),
	'mapIcon' => array(
		 
	),
	'viewCustom' => array(
		 
	),
	'lookupWhere' => array(
		 
	),
	'viewFileText' => array(
		 
	),
	'defaultValue' => array(
		'data_pagto' => array(
			'edit' => true 
		),
		'debitar' => array(
			'edit' => true 
		),
		'reembolsar' => array(
			'edit' => true 
		),
		'quitado' => array(
			'edit' => true 
		),
		'data_qitacao' => array(
			'edit' => true 
		) 
	),
	'autoUpdateValue' => array(
		 
	),
	'uploadFolder' => array(
		 
	),
	'viewPluginInit' => array(
		 
	),
	'editPluginInit' => array(
		 
	) 
);
			}
	
	public function default_data_pagto_efedit(  ) {
	$defaultValue = Now();
return $defaultValue;
}

public function default_debitar_efedit(  ) {
	$defaultValue = 0;
return $defaultValue;
}

public function default_reembolsar_efedit(  ) {
	$defaultValue = 0;
return $defaultValue;
}

public function default_quitado_efedit(  ) {
	$defaultValue = 0;
return $defaultValue;
}

public function default_data_qitacao_efedit(  ) {
	$defaultValue = Now();
return $defaultValue;
}	

}


?>